--- old/usr/src/uts/sun4u/os/memscrub.c	2014-07-28 07:45:02.782009872 -0400
+++ new/usr/src/uts/sun4u/os/memscrub.c	2014-07-28 07:45:02.787969641 -0400
@@ -1414,7 +1414,7 @@
 	 * atomic_add_32() allows concurrent memory DR operations to use the
 	 * callbacks safely.
 	 */
-	atomic_add_32(&pause_memscrub, 1);
+	atomic_inc_32(&pause_memscrub);
 	ASSERT(pause_memscrub != 0);
 
 	/*
@@ -1423,7 +1423,7 @@
 	(void) new_memscrub(0);		/* retain page retire list */
 
 	/* Restore the pause setting. */
-	atomic_add_32(&pause_memscrub, -1);
+	atomic_dec_32(&pause_memscrub);
 }
 
 /*ARGSUSED*/
@@ -1450,7 +1450,7 @@
 	 * atomic_add_32() allows concurrent memory DR operations to use the
 	 * callbacks safely.
 	 */
-	atomic_add_32(&pause_memscrub, 1);
+	atomic_inc_32(&pause_memscrub);
 	ASSERT(pause_memscrub != 0);
 
 	/*
@@ -1461,7 +1461,7 @@
 	}
 
 	/* Restore the pause setting. */
-	atomic_add_32(&pause_memscrub, -1);
+	atomic_dec_32(&pause_memscrub);
 }
 
 static kphysm_setup_vector_t memscrub_mem_config_vec = {
